<?php

namespace App\Enums;

use Filament\Support\Contracts\HasLabel;

enum OrderType: string implements HasLabel
{
    case EMB   = 'embroidery';
    case SCP   = 'screen_printing';
    case DTG   = 'direct_to_garment';
    case VINYL = 'vinyl';
    case MISC  = 'misc';

    public function getLabel(): string
    {
        return match ($this) {
            self::EMB   => 'Embroidery',
            self::SCP   => 'Screen printing',
            self::DTG   => 'Direct-to-garment',
            self::VINYL => 'Vinyl',
            self::MISC  => 'Misc',
        };
    }
}
